Jump to content
mwl4

0.2.2.5.0 Released

Recommended Posts

17 minutes ago, Eternal said:

download the latest version from the site

 

With the latest version 0.2.2.5.3 Alpha | Launcher 1.0.0.4, the game ETS 2 ver 1.32.3.4s - DOES NOT WORK! Requires game ETS-2 ver 1.32.3.7  and it's available 1.32.3.4

 

 

I am asking for a link     Launcher 0.2.2.5.0     >>> Download

Share this post


Link to post
Share on other sites
31 minutes ago, weezy said:

@codyolson17 Either restart your PC or close ATS through the Task Manager. See if that fixes the issue.

ive done  that but would it also because of my oregon dlc

Share this post


Link to post
Share on other sites
On 9/25/2018 at 2:18 AM, mwl4 said:

Hello!

New version 0.2.2.5.0 has been released.

Changelog:

  • Support for American Truck Simulator v.  1.32.3s [849fce20714f]
  • Support for Euro Truck Simulator v. 1.32.3.4s [f1851bcb0a48]
  • Support for Krone DLC (replacement models are loaded in case of lack of DLC package)
  • Reworked Scout car
  • Double trailers are now allowed in entire europe, except middle europe (Calais - Hannover - Liege - Hamburg)
  • Support for all the paint job DLCs released to this day

Fix the reworked Scout car. The acceleration is way too fast and the engine noise is too loud please fix this like it was in the previous version. It was fine then. Now.. it's just annoying. While you use manual gears... the engine sound is too loud when you drive slow in a higher gear. The engine should be more quiet like it was in last version. 

Share this post


Link to post
Share on other sites
1 hour ago, Greenfox101 said:

Fix the reworked Scout car. The acceleration is way too fast and the engine noise is too loud please fix this like it was in the previous version. It was fine then. Now.. it's just annoying. While you use manual gears... the engine sound is too loud when you drive slow in a higher gear. The engine should be more quiet like it was in last version. 

Do you not have volume control? If anything the fuel needs sorting as it drinks the stuff like the titanic 

Share this post


Link to post
Share on other sites

HELP!!!

My game just automatically update and now i have version 1.32.3.7s --> 1.32.3.14s so i can't play TruckersMP anymore. I know you can you back with versions but is version 1.32.3.7s available already as an downgrade in the betas section in Steam?

 

Thanks

Share this post


Link to post
Share on other sites
10 minutes ago, CamielK said:

HELP!!!

My game just automatically update and now i have version 1.32.3.7s --> 1.32.3.14s so i can't play TruckersMP anymore. I know you can you back with versions but is version 1.32.3.7s available already as an downgrade in the betas section in Steam?

 

Thanks

I have the same problem too.. :blink:

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.

×
×
  • Create New...